Ticket #35307

Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Teraterm bug: Some characters make main output works bad.

Open Date: 2015-07-09 17:36 Last Update: 2016-08-23 21:25

Reporter: (Anonymous) Owner: yutakapon
Type: Bugs Status: Closed
Component: Tera Term MileStone: Tera Term 4.92 (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Won't Fix

Details

Hello I have a card and I use your software for serial communication. The card run first in 38400bps and after start it changes to 9600bps. I usually configure it to 9600 and expect that the card changes it speed to 9600 and then work with it. The problem is that first it is received some unredable characters (due to diference speed) and then it changes to 9600 but the messages can not be read well... It seem that lowercase characters are not printed well, in the log all characters can be seen well. If after the change of speed I close and open the teraterm again there is no problem. I would like to send you a file where you can see the effect. Try to paste here but maybe it is not going to work. Send me a mail where I cand send you sample file.

//Start of file corregido valor celda 0ÆBn„B„ H„Ã7w7¸FnÂÃÃBïBP„7+ÚÂÃÓ77x ÃH„¹i„Æ€}÷8Û[ıùbÆJß@‘ϯ [öFD½ÂzNÛóÿFB[ígBâµjB„P„ „<ýFBP„€beÒ[fBiÂRýFBBBBBBZO„!BBBÚÆ¥eBBBBBJÂRýFBBBBBBZSOÿFBZcBCBJëI‰SB­â3’^ §’!Ê¥+NoN ÿFBêÖÏcúcòFBêÖêCrçÈÿFB†!oˆjjJ„ „iÄ!”‘BBÂÛCjCbÃjßZcö"P†„¡æ”*í!kÎk§€ëÒÞËJãÄ jÞTççJïŒc¨5P„ „¡ÆJïŒcó5Ä”¯i„9ÖoËÆ‹ccÿʆڂ! oËÆ‹ccÿʆÚÂ! oËÆ‹ccÿʆÚÂ! oËÆ‹ccÿʆڂ! oÄJ‚!gÿÞ[„!ÂÆJïŒcó5¿OízCÂÆJïŒsó5¿Oíz„¡ÆJïŒcó5¿OízCÂÆJïŒcó5¿OízBëJïŒcó5¿OízCÂÆJïŒcó5¿OízBëJïŒcó5¿OízCÂÆJïŒgó5kFN[BòVÆ‹ccÿZËzZBBÆ„!êD BBBòöJïŒcó5ê[‹„öJïÌcó5½„nåÂÆJïŒcó‚!BBBòöJ 9ÛjcóVF”zN_kÒÞ[RX”b_CÎy_;îcÊy_;ccæÚNcbê„%êÖN_SÊ}Ô!éÿæÚNckê„%êÖNÿSÊ}Ô!ÉÿæÚNcJýÊ}Ô‘oSÊ}Ô!bÿæÚNc€„„%êÖNBBy_;ãGæÚNsê„%êÖNcBy_;ãcæÚNckê„%êÖN[SÊ}Ô!*ÿæÚNcgê„%êÖfŒSÊ}Ô±c3ÚNãê„%êÖfÌSÊ}Ô±ãÿæÚNccê„%êÖfˆSÊ}Ô±§ÚNóoê„%êÖfÈSÊ}Ô±ÿæÚNãgê„%êÖfÒSÊ}Ô±­ÿæÚNccê„%êÖfâSÊ}Ô1!ÒÚNãê„%êÖfòSÊ}Ô1¡þvÞNêÖbBé

TEST 0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]_abcdefghijklmnopqrstuvwxyz{|}~!"#$%&'()*+,-./

TEST 0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]_abcdefghijklmnopqrstuvwxyz{|}~!"#$%&'()*+,-./

TEST 0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]_abcdefghijklmnopqrstuvwxyz{|}~!"#$%&'()*+,-./

TEST 0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]_abcdefghijklmnopqrstuvwxyz{|}~!"#$%&'()*+,-./

TEST 0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]_abcdefghijklmnopqrstuvwxyz{|}~!"#$%&'()*+,-./

TEST 0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]_abcdefghijklmnopqrstuvwxyz{|}~!"#$%&'()*+,-./ //END of file

Best regards Manu

Attachment File List

Ticket History (3/10 Histories)

2015-07-09 17:36 Updated by: None
  • New Ticket "Teraterm bug: Some characters make main output works bad. " created
2015-07-09 17:39 Updated by: iysmsp
  • File teraterm_bug.txt (File ID: 5194) is attached
2015-07-09 17:53 Updated by: iysmsp
  • File teraterm_bug4.txt (File ID: 5195) is attached
2015-07-09 17:54 Updated by: iysmsp
  • File screenshot_253.png (File ID: 5196) is attached
2015-07-09 17:55 Updated by: iysmsp
Comment

Finally I could send atachment.

Thank you for your fantastic software.

Best Regards Manu

2015-07-10 16:21 Updated by: iysmsp
Comment

Some ways to recover from the hang 1) Go to setup>General Setup and press OK the terminal recovers. (Something seems to be reseted) 2) If I press "reset terminal" it recovers to0... But maybe you should correct that if you reset the terminal I think the screen must be cleaned... After pressing reset. It start from the first uper line but over the messages that were written before... so it is a mess. Best Regards

2016-06-05 15:36 Updated by: yutakapon
  • Milestone Update from (None) to Tera Term 4.92 (closed)
  • Owner Update from (None) to yutakapon
  • Resolution Update from None to Won't Fix
  • Component Update from (None) to Tera Term
  • Details Updated
Comment
Hi,

Thank you for your feedback.
Some characters are often corrupted on serial device because escape sequences
are lost for serial device's problem. So, this behavior is not caused for Tera Term's bug.

When this behavior is happened, please reset terminal.
2016-08-23 21:25 Updated by: yutakapon
  • Ticket Close date is changed to 2016-08-23 21:25
  • Status Update from Open to Closed
2017-10-10 06:22 Updated by: None
Comment

Hello

1. PLEASE RECONSIDER this decision to not fix this issue. I have spent a lot of time with ESP8266 running MicroPython and TeraTerm made it appear that I had some sort of serial corruption. An unavoidable quirk of the ESP8266 is that it outputs garbage during reset (running its internal Boot ROM code) at a strange baud rate (74880 bps), resulting in garbage characters being received (at 115200 bps). The garbage characters include escape sequences that cause Teraterm to give what appears to be corrupted text for regular text (after the boot time garbage characters are finished).

There REALLY needs to be an Option to disable code/character page changes and certain ESC commands for VT100, so the boot time garbage does not affect TeraTerm.

This boot time garbage will occur with ANY ESP8266 code including compiled code (including Arduino, Micropython, NodeMCU etc) and will occur whenever the ESP8266 is reset.

For Serial communication with ESP8266 this issue with TeraTerm is annoying. Many people will attempt to use TeraTerm and will be puzzled why they are getting corrupted characters.

See http://www.thebackshed.com/forum/forum_posts.asp?TID=6929

(This link is not for ESP8266 but the problem appears to be the same)

2. An option for "Clear screen on Terminal Reset" would be useful as well as a keyboard shortcut for "Control/Reset terminal"

Thanks for considering these changes and for the hard work you have put into TeraTerm.

2017-10-10 22:36 Updated by: None
Comment

More on the ESP8266 issue:

Here is an hex ASCII dump of the boot ROM output garbage characters that occur before normal text starts. Each char is represented as 2 ASCII Hex bytes:

726C006C9C9E7C008C6CE07C020C0C0C8C0C6CEC0C627C8E8202EC12927292628C0C628CF26E6E9E6C6E6E9CE2EC0C621C70EC8E6C726C726C70F26EE010020C0C820C6C0C0C0C0C0C0C620C6EE27C02EC6C8C8C0C0C628CF26E6EEE006C8C8E6C60029012126E6E0C8E0E6C0E026E728E92926E0C0CE2126C600270F26EE010020C0C728C9C9CE2E00C0C0C0C620C6EE27C026C0C0C0C0C628CF26E6EEE000C8E6C60029012126E6E6C8C6C60020E026E728E92926E0C0C92EC6C600260F26E0C0C0C9EE062826E6C8C0C8CF26E6EEE000C8E0E6C70F26EE010020C0C728C9C9CE2E00C8E8E0C620C6EE27C02EC8C0C8E0C628CF26E6EEE006C8C0C6C60029012126E6E0C8E0E6C0E026E728E92926E0C0C928C8E0E6C0E7292926E0C0C928C8E0E6C0EFC800C6C9C9E7CFE821272726E628E8C0C6CEC120C0C62EC6C0C62EC8C9C9CE2E26C0C0C0C620C8E6C726C0E6C0C6C9C9E7CFE821272726E628E8C6C6C9C1C820C0C62EC8C0C62EC8C9C9CE20262020C0C62EC0C8E6C726C0E8C0C6C9C9E7CFE821272726E628E8C6C0C9C1C920C0C628C0C0C62EC8C9C9CE202120C0C0C62EC6C620E6C8CE202EC12826EEC927282F26E7CEC0C6C0C6C6C6C60028CE272926C8C6C128C0C0C0C6C60028CE272926CEC6C128C0C0C0C6C60028CE272926C0C8E9E008C0C0C6C6C6002726C8E82726C8C9EE28C620C8C8C628C620C62720202EC8E720C121262ECF26EEE80126E6EE210020C026C92F2020C6C0C8C0C6C8C8E6C6C8E1E828C8C8CEC8E0E6C8002FB

I cannot find ESC character (Hex 1B) in the above dump. I believe VT100 emulation requires this character to alter terminal operation, but since none were found I don't know what is causing TeraTera to change the display of normal text.

Does anyone have any idea what TeraTerm is doing when it receives the above data?

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login